* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    color: white;
}

body {
    background-color: #272537;
    font-family: Verdana, Tahoma;
}

.top-header {
    height: 100px;
    left: 0;
    top: 0;
    position: absolute;
    display: flex;
    align-items: center;
    background-color: rgb(36, 34, 49);
    width: 100%;
    z-index: 6;
}

.left {
    width: 20%;
    height: 100px;
    display: flex;
    align-items: center;
}

.header-left {
    margin-left: 10px;
    width: 60px;
    height: 60px;
    border-radius: 20px;
    background-color: #8C00FF;
    display: flex;
    justify-content: center;
    align-items: center;
}

.header-left img {
    width: 55px;
    height: 55px;
    margin-left: -2px;
    cursor: pointer;
}

.header-right {
    display: flex;
    align-items: center;
    justify-content: start;
    height: 100px;
    width: 5%;
}

.header-center {
    width: 65%;
    height: 100px;
    align-items: center;
    display: flex;
    justify-content: end;
}

.error {
    margin-top: 20px;
    color: red;
}

.mobile-btn {
    width: 60px;
    height: 60px;
    display: flex;
    flex-direction: column;
    background-color: transparent;
    border: none;
    gap: 8px;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.mobile-btn span {
    width: 35px; /* pełna szerokość */
    height: 5px;
    background-color: white;
    border-radius: 5px;
    transition: transform 0.3s ease, opacity 0.3s ease;
    position: relative;
}
.log-in {
    font-size: 15px;
    float: right;
    text-align: center;
    margin-right: 10px;
}

.mobile-nav-container {
    display: none;
}

ul {
    list-style: none;
}

.mobile-nav-container.active {
    position: absolute;
    z-index: 5;
    top: 0;
    right: 0;
    display: flex;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    width: 250px;
    height: 100%;
    background-color: rgb(36, 34, 49);
}

.mobile-link {
    margin-top: 50px;
}

.mobile-link a {
    text-decoration: none;
    font-size: 25px;
}

.open {
    transform: rotate(90deg);
}

.open .hamburger-top {
    transform: rotate(45deg) translate(11px, 8px);
}

.open .hamburger-middle {
    opacity: 0; /* ukrycie środkowego paska */
}

.open .hamburger-bottom {
    transform: rotate(-45deg) translate(10px, -7px);
}

.container {
    width: 100%;
    height: 88vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}

.title h1 {
    margin-bottom: 10px;
}

.RegisterBox {
    border: 1px solid #8C00FF;
    border-radius: 5px;
    width: 70%;
    height: 55px;
    background-color: #272545;
    padding: 10px;
    margin-top: 20px;
}

.register {
    border: 1px solid #8C00FF;
    background-color: #272550;
    color: white;
    padding: 25px;
    margin-top: 40px;
    font-size: 20px;
    font-weight: bold;
    border-radius: 20px;
    cursor: pointer;
}

.second-sec {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.image img {
    width: 300px;
}

@media only screen and (min-width: 800px) {
    .header-center {
        width: 70%;
    }

    .RegisterBox {
        width: 500px;
    }
}

@media only screen and (min-width: 1500px) {
    .header-center {
        width: 80%;
    }


}


